Index: ui/mainwindow.ui
===================================================================
--- ui/mainwindow.ui	(revision 2bbe924ad87d861ff8a3b141522f04fbb6f6d035)
+++ ui/mainwindow.ui	(revision 94cd045fad3af2b2842bd0e46bd69f3f20c3eada)
@@ -162,5 +162,5 @@
          <property name="icon">
           <iconset resource="../resources/tspsg.qrc">
-           <normaloff>:/images/icons/button_ok.png</normaloff>:/images/icons/button_ok.png</iconset>
+           <normaloff>:/images/icons/dialog-ok.png</normaloff>:/images/icons/dialog-ok.png</iconset>
          </property>
         </widget>
@@ -212,5 +212,5 @@
          <property name="icon">
           <iconset resource="../resources/tspsg.qrc">
-           <normaloff>:/images/icons/filesaveas.png</normaloff>:/images/icons/filesaveas.png</iconset>
+           <normaloff>:/images/icons/document-save-as.png</normaloff>:/images/icons/document-save-as.png</iconset>
          </property>
         </widget>
@@ -242,5 +242,5 @@
          <property name="icon">
           <iconset resource="../resources/tspsg.qrc">
-           <normaloff>:/images/icons/back.png</normaloff>:/images/icons/back.png</iconset>
+           <normaloff>:/images/icons/go-previous.png</normaloff>:/images/icons/go-previous.png</iconset>
          </property>
         </widget>
@@ -275,5 +275,5 @@
      <property name="icon">
       <iconset resource="../resources/tspsg.qrc">
-       <normaloff>:/images/icons/filesaveas.png</normaloff>:/images/icons/filesaveas.png</iconset>
+       <normaloff>:/images/icons/document-save-as.png</normaloff>:/images/icons/document-save-as.png</iconset>
      </property>
      <addaction name="actionFileSaveAsTask"/>
@@ -303,5 +303,5 @@
      <property name="icon">
       <iconset resource="../resources/tspsg.qrc">
-       <normaloff>:/images/icons/locale.png</normaloff>:/images/icons/locale.png</iconset>
+       <normaloff>:/images/icons/preferences-desktop-locale.png</normaloff>:/images/icons/preferences-desktop-locale.png</iconset>
      </property>
      <addaction name="actionSettingsLanguageAutodetect"/>
@@ -313,7 +313,13 @@
       <string>Style</string>
      </property>
+     <property name="icon">
+      <iconset resource="../resources/tspsg.qrc">
+       <normaloff>:/images/icons/preferences-desktop-theme.png</normaloff>:/images/icons/preferences-desktop-theme.png</iconset>
+     </property>
     </widget>
     <addaction name="menuSettingsLanguage"/>
     <addaction name="menuSettingsStyle"/>
+    <addaction name="actionSettingsToolbars"/>
+    <addaction name="separator"/>
     <addaction name="actionSettingsPreferences"/>
    </widget>
@@ -370,5 +376,5 @@
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/filenew.png</normaloff>:/images/icons/filenew.png</iconset>
+     <normaloff>:/images/icons/document-new.png</normaloff>:/images/icons/document-new.png</iconset>
    </property>
    <property name="text">
@@ -388,5 +394,5 @@
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/fileopen.png</normaloff>:/images/icons/fileopen.png</iconset>
+     <normaloff>:/images/icons/document-open.png</normaloff>:/images/icons/document-open.png</iconset>
    </property>
    <property name="text">
@@ -406,5 +412,5 @@
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/preferences_system.png</normaloff>:/images/icons/preferences_system.png</iconset>
+     <normaloff>:/images/icons/preferences-system.png</normaloff>:/images/icons/preferences-system.png</iconset>
    </property>
    <property name="text">
@@ -421,5 +427,5 @@
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/contents.png</normaloff>:/images/icons/contents.png</iconset>
+     <normaloff>:/images/icons/help-contents.png</normaloff>:/images/icons/help-contents.png</iconset>
    </property>
    <property name="text">
@@ -439,5 +445,5 @@
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/help_browser.png</normaloff>:/images/icons/help_browser.png</iconset>
+     <normaloff>:/images/icons/help-contextual.png</normaloff>:/images/icons/help-contextual.png</iconset>
    </property>
    <property name="text">
@@ -454,5 +460,5 @@
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/help_about.png</normaloff>:/images/icons/help_about.png</iconset>
+     <normaloff>:/images/icons/help-about.png</normaloff>:/images/icons/help-about.png</iconset>
    </property>
    <property name="text">
@@ -466,5 +472,5 @@
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/exit.png</normaloff>:/images/icons/exit.png</iconset>
+     <normaloff>:/images/icons/application-exit.png</normaloff>:/images/icons/application-exit.png</iconset>
    </property>
    <property name="text">
@@ -520,5 +526,5 @@
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
-     <normaloff>:/images/icons/filesave.png</normaloff>:/images/icons/filesave.png</iconset>
+     <normaloff>:/images/icons/document-save.png</normaloff>:/images/icons/document-save.png</iconset>
    </property>
    <property name="text">
@@ -559,4 +565,16 @@
    <property name="statusTip">
     <string>Automatically choose the most appropriate style</string>
+   </property>
+  </action>
+  <action name="actionSettingsToolbars">
+   <property name="icon">
+    <iconset resource="../resources/tspsg.qrc">
+     <normaloff>:/images/icons/configure-toolbars.png</normaloff>:/images/icons/configure-toolbars.png</iconset>
+   </property>
+   <property name="text">
+    <string>Toolbars...</string>
+   </property>
+   <property name="statusTip">
+    <string>Customize toolbars</string>
    </property>
   </action>
